const mix = require('laravel-mix');
let productionSourceMaps = false;
/*
 |--------------------------------------------------------------------------
 | Mix Asset Management
 |--------------------------------------------------------------------------
 |
 | Mix provides a clean, fluent API for defining some Webpack build steps
 | for your Laravel application. By default, we are compiling the Sass
 | file for the application as well as bundling up all the JS files.
 |
 */

mix.setPublicPath('./src/public');

mix.js('src/resources/js/app.js', 'src/public/js')
    .js('src/resources/js/vue.js', 'src/public/js')
    .sass('src/resources/sass/app.scss', 'src/public/css');

mix.sourceMaps(productionSourceMaps, 'source-map');

mix.options({
    postCss: [
        require('postcss-discard-comments')({
            removeAll: true
        })
    ],
    fileLoaderDirs: {
        fonts: 'cms/fonts',
        images: 'cms/images'
    },
    uglify: {
        uglifyOptions: {
            comments: false
        },
    }
});
if (mix.inProduction()) {
    mix.version();
}
